Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # PixelBasedConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename P> struct boost::gil::PixelBasedConcept< P > Concept for all pixel-based GIL constructs, such as pixels, iterators, locators, views and images whose value type is a pixel.
    concept PixelBasedConcept<typename T> {
        typename color_space_type<T>;
            where Metafunction<color_space_type<T> >;
            where ColorSpaceConcept<color_space_type<T>::type>;
        typename channel_mapping_type<T>;
            where Metafunction<channel_mapping_type<T> >;
            where ChannelMappingConcept<channel_mapping_type<T>::type>;
        typename is_planar<T>;
            where Metafunction<is_planar<T> >;
            where SameType<is_planar<T>::type, bool>;
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp